# Options/Tabs

From XOWA: the free, open-source, offline wiki application

Apps (basic) | Apps (advanced) | Wiki | HTML | External apps | Modules | Extensions | Misc

- Window
- Language
- Tabs
- Startup

Save

For more info, see App/UI/Tabs

## Buttons

### Position / Size

Place on top: [1] |
Height: [2] |
Hide if one: [3] |

### Appearance

Curved: [4] |
Close button visible: [5] |
Unselected close button visible: [6] |

### Title

Max chars [7] |
Min chars: [8] |

## Notes

1. ^ Place buttons on top (default is `checked`)
   - checked to place buttons on top
   - unchecked to place buttons on bottom
   NOTE: The underlying tab widget (SWT CTabFolder) does not allow buttons to be placed on the side.
2. ^ Set height of tab button in pixels. (default is `20`)
3. ^
4. ^ Draw button with curve. (default is `unchecked`)
   - checked to draw tab button with curve on right side
   - unchecked to draw tab button as rounded rect
   NOTE: The underlying tab widget (SWT CTabFolder) does not allow other border embellishments.
5. ^ Choose whether to show the close button (default is `checked`)
   - checked to show the close button on all tabs
   - unchecked to hide the close button on all tabs
   NOTE: This setting overrides `Unselected close button visible`
6. ^ Choose whether to show the close button on unselected tabs (default is `checked`)
   - checked to show the close button on unselected tabs.
   - unchecked to hide the close button on unselected tabs. The close button will still show for the selected tab.
   NOTE: This setting is overriden by `Close button visible`
7. ^ Select a maximum number of characters for the title (default is `40`)
   - This setting limits the maximum width of a tab: i.e.: I don't want my tabs to be wider than this.
   - If the setting is -1 or the title has less characters than the min, the title will be unchanged
     For example, a maximum of 5 and a title of "A" will show as "A"
   - Otherwise, the text is truncated to the maximum, and an ellipsis of "..." will be added
     For example, a maximum of 5 and a title of "Maximum" will show as "Maxim..."
8. ^ Select a minimum number of characters for the title (default is `-1`)
   - This setting generate a standard minimum width: i.e.: I want my tabs to be at least this wide.
   - It works best with fixed width fonts. For other fonts, the results will be imprecise.
   - If the setting is -1 or the title has more characters than the min, the title will be unchanged
     For example, a minimum of 5 and a title of "Minimum" will show as "Minimum"
   - Otherwise, spaces will be padded on to the end of the title to reach the minimum.
     For example, a minimum of 5 and a title of "A" will show as "A "

### XOWA

- Main page
- Screenshots
- Video
- Download XOWA
- Download wikis

### Getting started

- Requirements
- Installation
- Simple Wikipedia
- English Wikipedia
- Other Wikipedias

### Android

- Setup
- Video

### Help

- About
- Contents
- Media
- Feedback

### Blog

- Current

### Links

- Wikimedia dumps
- XOWA @ archive.org
- English Wikipedia

### Donate

- archive.org
- Wikipedia